/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.test.cache;



/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.3.2.4 $
 */
public interface StatefulRemote
{
   boolean getPostActivate();

   boolean getPrePassivate();

   void setState(String state);

   String getState();

   void reset();

   long bench(int iterations) throws Exception;

   void longRunning() throws Exception;
}
